package com.pqs9900.pojo.linedata;

import com.alibaba.excel.annotation.ExcelProperty;

import javax.persistence.Column;

/**
 * system
 * 监测点评分权重
 * @author cdf
 * @date 2023/8/16
 */
public class LineMarkWeightVo {



    @Column(name = "LINE_INDEX")
    private Integer lineIndex;

    private String province;
    private String gdName;
    private String subName;
    private String devName;
    private String lineName;
    private String mark;

    private String lineGrade;
    private Integer devflag;
    private Integer status;





    @Column(name = "COMMUN_FEE_MARK")
    private Integer communFeeMark;

    @Column(name = "ASSET_BELONG")
    private Integer assetBelong;

    @Column(name = "SERVICE_MARK")
    private Integer serviceMark;


    @Column(name = "AGENT_MARK")
    private Integer agentMark;

    @Column(name = "COMPANY_MARK")
    private Integer companyMark;

    @Column(name = "USER_MARK")
    private Integer userMark;

    @Column(name = "LINE_TYPE_MARK")
    private Integer lineTypeMark;

    @Column(name = "BUSINESS_MARK")
    private Integer businessMark;

    public Integer getLineIndex() {
        return lineIndex;
    }

    public void setLineIndex(Integer lineIndex) {
        this.lineIndex = lineIndex;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public Integer getCommunFeeMark() {
        return communFeeMark;
    }

    public void setCommunFeeMark(Integer communFeeMark) {
        this.communFeeMark = communFeeMark;
    }

    public Integer getServiceMark() {
        return serviceMark;
    }

    public void setServiceMark(Integer serviceMark) {
        this.serviceMark = serviceMark;
    }

    public Integer getAgentMark() {
        return agentMark;
    }

    public void setAgentMark(Integer agentMark) {
        this.agentMark = agentMark;
    }

    public Integer getCompanyMark() {
        return companyMark;
    }

    public void setCompanyMark(Integer companyMark) {
        this.companyMark = companyMark;
    }

    public Integer getUserMark() {
        return userMark;
    }

    public void setUserMark(Integer userMark) {
        this.userMark = userMark;
    }

    public Integer getLineTypeMark() {
        return lineTypeMark;
    }

    public void setLineTypeMark(Integer lineTypeMark) {
        this.lineTypeMark = lineTypeMark;
    }

    public Integer getBusinessMark() {
        return businessMark;
    }

    public void setBusinessMark(Integer businessMark) {
        this.businessMark = businessMark;
    }

    public Integer getDevflag() {
        return devflag;
    }

    public void setDevflag(Integer devflag) {
        this.devflag = devflag;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getLineGrade() {
        return lineGrade;
    }

    public void setLineGrade(String lineGrade) {
        this.lineGrade = lineGrade;
    }

    public Integer getAssetBelong() {
        return assetBelong;
    }

    public void setAssetBelong(Integer assetBelong) {
        this.assetBelong = assetBelong;
    }
}
